package com.playlet.web.service;

import java.util.Map;

/**
 * <p>微信service类</p>
 * @author clunt
 */
public interface WxService {

    String getAccessToken();

    String getOpenidByCode(String code);

    String getOpenidByCode(String code, String appId, String secret);

    String getWxInfo(String openId, String accessToken);

    Map<String, String> getWxTicket(String requestUrl);

    String getCompanyOpenidByCode(String code);

    String getCompanyByUserId(String userTicket);

    Boolean checkKeepStatusByOpenId(String openId, String appId, String secret);

}
